import React, { Component } from 'react';
import { TabBar } from 'antd-mobile';

class TabBarExample extends Component {
    constructor(props) {
        super(props);
        this.state = {
            hidden: false
        };
    }
    
    render() {
        <TabBar
            unselectedTintColor="#949494"
            tintColor="#33A3F4"
            barTintColor="white"
            hidden={this.state.hidden}
        > 
            <TabBar.Item
                title="首页"
                key="首页"
                icon={
                    <Icon type={require('../images/index.svg')}></Icon>
                }
                selectedIcon={
                    <Icon type={require('../images/index-fill.svg')}></Icon>
                }
                selected={this.state.selectedTab === 'index'}
                onPress={() => {
                    HashMap.put('selectedTab', 'index')
                    this.setState({
                        selectedTab: 'index',
                    });
                }}
                data-seed="logId"
            >
                {this.renderContent('首页')}
            </TabBar.Item>
        </TabBar>
    }

}

export default TabBarExample;
