import React, {Component} from 'react';
import {VList} from '../../common';
import './courselist.scss';

class Classify extends Component {
    state = {
        mockData:[
            {
                title: '三月面试求职三月面试求职三月面试求职',
                imgUrl: 'https://julyedu-img-public.oss-cn-beijing.aliyuncs.com/Public/Image/4c5ccac604.jpg',
                contact: '学习到第2课2三月面试求职班三月面试求职班三月面试求职班分33秒6',
                time: '03月12日',
                record: '学习到第2课2三月面试求职班三月面试求职班三月面试求职班分33秒',
                isbuy: 1,
                price0: 100,
                price1: 100
            },
            {
                title: '三月面试求职班',
                imgUrl: 'https://julyedu-img-public.oss-cn-beijing.aliyuncs.com/Public/Image/4c5ccac604.jpg',
                contact: 'QQ群：449141326',
                time: '03月12日',
                record: '学习到第2课2分33秒',
                isbuy: 0,
                price0: 100,
                price1: 100
            },
            {
                title: '三月面试求职班',
                imgUrl: 'https://julyedu-img-public.oss-cn-beijing.aliyuncs.com/Public/Image/4c5ccac604.jpg',
                contact: 'QQ群：449141326',
                time: '03月12日',
                record: '学习到第2课2分33秒',
                isbuy: 0,
                price0: 100,
                price1: 100
            },
            {
                title: '三月面试求职班',
                imgUrl: 'https://julyedu-img-public.oss-cn-beijing.aliyuncs.com/Public/Image/4c5ccac604.jpg',
                contact: 'QQ群：449141326',
                time: '03月12日',
                record: '学习到第2课2分33秒',
                isbuy: 0,
                price0: 100,
                price1: 100
            },
        ]

    }
    render() {
        const handleClick = () => {
            console.log(1);
        }
        return (
            <div className='class-box'>
                <ul>
                    {this.state.mockData.map((item, index) => {
                        const Info = (
                            <div className="info">
                                <p className='title text-overflow-2'>{item.title}</p>
                                <p className='contact text-overflow-2'>{item.contact}</p>
                                <div className='des'>
                                    {item.isbuy === 0 && <p className="course-price">
                                        <span className="new">¥{item.price0}</span>
                                        <span className="old">¥{item.price1}</span>
                                    </p>
                                    }
                                    {item.isbuy === 1 &&
                                    <a href="/#" className="isbuy">已购买</a>
                                    }
                                </div>
                            </div>
                        )
                        return (
                            <VList handleClick={handleClick} {...item} key={index} info={Info}></VList>
                        )
                    })}
                </ul>
            </div>
        )
    }

}

export default Classify;
